package com.crm.rely.backend.core.enums;

/**
 * 常用的状态管理
 *
 * @author y
 * @create 2022/1/21
 */
public enum BalanceOperateType {


    ADD(1, "ADD"),
    CUT(2, "CUT");


    private final Integer code;
    private final String desc;

    BalanceOperateType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static BalanceOperateType matchCode(Integer code) {
        for (BalanceOperateType type : BalanceOperateType.values()) {
            if (type.getCode() == code) {
                return type;
            }
        }
        return null;
    }


}
